Summary: Image and video capture application using unicap toolkit
Name: ucview
Version: 0.23
Release: alt1
License: GPLv2+
Group: Video
Url: http://www.unicap-imaging.org/
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>

Source: http://www.unicap-imaging.org/downloads/%name-%version.tar.gz
Source1: %name.desktop
BuildRequires: perl-XML-Parser, intltool
BuildRequires: libunicap-devel, libgtk+2-devel, libglade-devel
BuildRequires: glib2-devel, libGConf-devel, libXv-devel
BuildRequires: libtheora-devel, libvorbis-devel

%description
UCView is a video image capture application using the unicap toolkit.
It provides a simple way to parametrise the video device, can capture
still images from the video stream or record the stream as mpeg file.
By using unicap, it can access many different video capture devices
like webcams, video grabber boards, IEEE-1394 (FireWire) cameras and
others.

%prep
%setup -q
%autoreconf

%build
%configure
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Install a working ucview.desktop file
mkdir -p %buildroot%_desktopdir
cp -a %SOURCE1 %buildroot%_desktopdir

# Don't install header files for ucview
rm -rf %buildroot%_includedir

# Don't install any static .a and libtool .la files
rm -f %buildroot%_libdir/%name/plugins/*.{a,la}

%find_lang %name

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_libdir/%name
%_datadir/%name
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.png
%_man1dir/%name.1*

%changelog
* Tue Apr 21 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 0.23-alt1
- 0.23

* Wed Mar 11 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 0.22-alt1
- initial
